# Movable Type plugin.
#
# Release 0.01 (Jul 09, 2008) initial version.
#
# Copyright (c) 2004-2008 Yujiro Araki

package MT::Plugin::BlogArchiveRelativeURL;
use strict;
use MT;
use base qw(MT::Plugin);

our $VERSION = '0.01';

my $plugin = MT::Plugin::BlogArchiveRelativeURL->new({
    name => 'BlogArchiveRelativeURL',
    description => 'blog arvehive relative URL.',
    doc_link => 'http://www.koikikukan.com/archives/2008/06/09-013333.php',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    version => $VERSION,
});
MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            function => {
               'BlogArchiveRelativeURL' => \&_hdlr_blog_arcehive_relative_url,
            },
        }
   });
}

sub _hdlr_blog_arcehive_relative_url {
    my ($ctx, $args, $cond) = @_;
    my $blog = $ctx->stash('blog');
    return '' unless $blog;
    my $host = $blog->archive_url;
    return '' unless defined $host;
    if ($host =~ m!^https?://[^/]+(/.*)$!) {
        return $1;
    } else {
        return '';
    }
}

1;
